// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#ifndef SILECSWRAPER_BLOCK_H_
#define SILECSWRAPER_BLOCK_H_

#include <string>

namespace SilecsWrapper
{
class Block
{
public:
    Block(const std::string& name) :
                    _name(name)
    {
    }

    virtual ~Block()
    {
    }

    const std::string& getName() const
    {
        return _name;
    }

protected:
    const std::string _name;
};

} //namespace SilecsWrapper

#endif
